Bug 35664 - Migrate test packages to UCS 4
Migrate test packages to UCS 4
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Drees Dormann
Philipp Hahn
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-20 14:50 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-08-20 14:50:59 CEST
The following packages should be migrated to UCS 4:

 ucs-test
 ucs-test-tools
 ucs-windows-tools
 univention-demo-configuration
 winexe

Please consider the package migration list:

https://hutten.knut.univention.de/mediawiki/index.php/UCS-4.0_Univention_Package_Update
Comment 1 Drees Dormann univentionstaff 2014-08-22 10:57:04 CEST
migrated all packages to UCS 4 according to wiki-instructions
Comment 2 Florian Best univentionstaff 2014-08-22 11:01:19 CEST
Pyhton-support + XS-Python-Version is only necessary for packages which include python files. winexe for example doesn't need it.
Comment 3 Florian Best univentionstaff 2014-08-22 11:05:00 CEST
ucs-test (5.0.000-00.1) → 5.0.0.-1
univention-demo-configuration (3.0.0-01) → 3.0.0-1
Comment 4 Drees Dormann univentionstaff 2014-08-22 11:38:41 CEST
* corrected the version numbers
* removed unneeded Pyhton-support + XS-Python-Version lines in package winexe
Comment 5 Stefan Gohmann univentionstaff 2014-08-22 15:32:32 CEST
* Remove executable for debian/*install files, debhelper 9 tries to
  execute the files (Bug #35664)
Comment 6 Stefan Gohmann univentionstaff 2014-08-25 08:31:56 CEST
I've added a changelog for all migrated packages: r52983
Comment 7 Philipp Hahn univentionstaff 2014-09-02 15:57:03 CEST
FAIL: ucs-test
  Many test still use python2.6

OK: ucs-test-tools
OK: ucs-windows-tools
OK: univention-demo-configuration
OK: winexec

OK: Changelog r52983
Comment 8 Drees Dormann univentionstaff 2014-09-03 15:41:49 CEST
I changed any occurrences of python2.6 i previously missed to python2.7 so
all the scripts should be using python2.7 now
Comment 9 Philipp Hahn univentionstaff 2014-09-03 16:14:47 CEST
(In reply to Drees Dormann from comment #8)
> I changed any occurrences of python2.6 i previously missed to python2.7 so
> all the scripts should be using python2.7 now

FAIL: find -type f -exec grep -Fl python2.6 {} +
./debian/changelog
./tests/52_s4connector/002_multiple_s4_connector_instances
./tests/52_s4connector/133sync_sid
Comment 10 Drees Dormann univentionstaff 2014-09-03 16:25:55 CEST
these two entries somehow slipped, but they are fixed now
Comment 11 Philipp Hahn univentionstaff 2014-09-03 17:33:57 CEST
OK: r53300 r53304
OK: find -name debian -prune -o -type f -exec grep -Fl python2.6 {} +
OK: repo_get_version.py -r 4.0 -p ucs-test
OK: univention-install ucs-test
Comment 12 Philipp Hahn univentionstaff 2014-09-04 15:41:56 CEST
r53373 | Bug #35664 test: Fix python-apt API change
  Another python-apt_0.8 API change: CheckDep -> check_dep
Comment 13 Stefan Gohmann univentionstaff 2014-11-26 06:54:19 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".